RDKit::UFF Namespace Reference

## Namespaces

| Tools

## Typedefs

typedef std::vector< const ForceFields::UFF::AtomicParams * > | AtomicParamVect

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT std::pair< AtomicParamVect, bool > | getAtomTypes (const ROMol &mol, const std::string &paramData="")
RDKIT_FORCEFIELDHELPERS_EXPORT bool | getUFFBondStretchParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, ForceFields::UFF::UFFBond &uffBondStretchParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | getUFFAngleBendParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, ForceFields::UFF::UFFAngle &uffAngleBendParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | getUFFTorsionParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, ForceFields::UFF::UFFTor &uffTorsionParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | getUFFInversionParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, ForceFields::UFF::UFFInv &uffInversionParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | getUFFVdWParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, ForceFields::UFF::UFFVdW &uffVdWParams)
RDKIT_FORCEFIELDHELPERS_EXPORT ForceFields::ForceField * | constructForceField (ROMol &mol, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule. More...
RDKIT_FORCEFIELDHELPERS_EXPORT ForceFields::ForceField * | constructForceField (ROMol &mol, const AtomicParamVect &params, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule. More...
std::pair< int, double > | UFFOptimizeMolecule (ROMol &mol, int maxIters=1000, double vdwThresh=10.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Convenience function for optimizing a molecule using UFF. More...
void | UFFOptimizeMoleculeConfs (ROMol &mol, std::vector< std::pair< int, double >> &res, int numThreads=1, int maxIters=1000, double vdwThresh=10.0, bool ignoreInterfragInteractions=true)

## Typedef Documentation

## AtomicParamVect

typedef std::vector< const ForceFields::UFF::AtomicParams * > RDKit::UFF::AtomicParamVect

Definition at line 28 of file UFF/AtomTyper.h.

## Function Documentation

## constructForceField() [1/2]

RDKIT_FORCEFIELDHELPERS_EXPORT ForceFields::ForceField* RDKit::UFF::constructForceField | ( | ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | double | vdwThresh = `100.0`,
|  | int | confId = `-1`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

Builds and returns a UFF force field for a molecule.

Parameters

  mol | the molecule to use
  params | a vector with pointers to the ForceFields::UFF::AtomicParams structures to be used
  vdwThresh | the threshold to be used in adding van der Waals terms to the force field. Any non-bonded contact whose current distance is greater than `vdwThresh` * the minimum value for that contact will not be included.
  confId | the optional conformer id, if this isn't provided, the molecule's default confId will be used.
  ignoreInterfragInteractions | if true, nonbonded terms will not be added between fragments

Returns
  the new force field. The client is responsible for free'ing this.

## constructForceField() [2/2]

RDKIT_FORCEFIELDHELPERS_EXPORT ForceFields::ForceField* RDKit::UFF::constructForceField | ( | ROMol & | mol,
|  | double | vdwThresh = `100.0`,
|  | int | confId = `-1`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

Builds and returns a UFF force field for a molecule.

Parameters

  mol | the molecule to use
  vdwThresh | the threshold to be used in adding van der Waals terms to the force field. Any non-bonded contact whose current distance is greater than `vdwThresh` * the minimum value for that contact will not be included.
  confId | the optional conformer id, if this isn't provided, the molecule's default confId will be used.
  ignoreInterfragInteractions | if true, nonbonded terms will not be added between fragments

Returns
  the new force field. The client is responsible for free'ing this.

Referenced by UFFOptimizeMolecule(), and UFFOptimizeMoleculeConfs().

## getAtomTypes()

RDKIT_FORCEFIELDHELPERS_EXPORT std::pair<AtomicParamVect, bool> RDKit::UFF::getAtomTypes | ( | const ROMol & | mol,
|  | const std::string & | paramData = `""`
| ) |  |

## getUFFAngleBendParams()

RDKIT_FORCEFIELDHELPERS_EXPORT bool RDKit::UFF::getUFFAngleBendParams | ( | const ROMol & | mol,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | ForceFields::UFF::UFFAngle & | uffAngleBendParams
| ) |  |

## getUFFBondStretchParams()

RDKIT_FORCEFIELDHELPERS_EXPORT bool RDKit::UFF::getUFFBondStretchParams | ( | const ROMol & | mol,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | ForceFields::UFF::UFFBond & | uffBondStretchParams
| ) |  |

## getUFFInversionParams()

RDKIT_FORCEFIELDHELPERS_EXPORT bool RDKit::UFF::getUFFInversionParams | ( | const ROMol & | mol,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | ForceFields::UFF::UFFInv & | uffInversionParams
| ) |  |

## getUFFTorsionParams()

RDKIT_FORCEFIELDHELPERS_EXPORT bool RDKit::UFF::getUFFTorsionParams | ( | const ROMol & | mol,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | ForceFields::UFF::UFFTor & | uffTorsionParams
| ) |  |

## getUFFVdWParams()

RDKIT_FORCEFIELDHELPERS_EXPORT bool RDKit::UFF::getUFFVdWParams | ( | const ROMol & | mol,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | ForceFields::UFF::UFFVdW & | uffVdWParams
| ) |  |

## UFFOptimizeMolecule()

std::pair<int, double> RDKit::UFF::UFFOptimizeMolecule | ( | ROMol & | mol,
|  | int | maxIters = `1000`,
|  | double | vdwThresh = `10.0`,
|  | int | confId = `-1`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

Convenience function for optimizing a molecule using UFF.

Definition at line 40 of file UFF.h.

References constructForceField(), and RDKit::ForceFieldsHelper::OptimizeMolecule().

## UFFOptimizeMoleculeConfs()

void RDKit::UFF::UFFOptimizeMoleculeConfs | ( | ROMol & | mol,
|  | std::vector< std::pair< int, double >> & | res,
|  | int | numThreads = `1`,
|  | int | maxIters = `1000`,
|  | double | vdwThresh = `10.0`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

Convenience function for optimizing all of a molecule's conformations using UFF

Definition at line 70 of file UFF.h.

References constructForceField(), and RDKit::ForceFieldsHelper::OptimizeMoleculeConfs().